!  argument mismatch - different file
! in file arg2a.f90
      program arg2
      call sub(x,y)
      print * , x,y
      end
 
! in file arg2b.f90 (compiled separately)
      subroutine sub(x,y)
      double precision x,y
      x = 2.0
      y = sqrt(x)
      end
